# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "fuel-core-shared-sequencer"
version = "0.40.4"
authors = ["Fuel Labs <contact@fuel.sh>"]
description = "The service responsible for communication with the shared sequencer."
homepage = "https://fuel.network/"
keywords = [
    "blockchain",
    "cryptocurrencies",
    "fuel-client",
    "fuel-core",
]
categories = ["cryptography::cryptocurrencies"]
license = "BUSL-1.1"
repository = "https://github.com/FuelLabs/fuel-core"

[dependencies.anyhow]
version = "1.0"

[dependencies.async-trait]
version = "0.1"

[dependencies.base64]
version = "0.22"

[dependencies.cosmos-sdk-proto]
version = "0.26"
features = ["grpc"]

[dependencies.cosmrs]
version = "0.21"

[dependencies.fuel-core-services]
version = "0.40.4"

[dependencies.fuel-core-types]
version = "0.40.4"
features = [
    "std",
    "serde",
]
default-features = false

[dependencies.fuel-sequencer-proto]
version = "0.1.0"

[dependencies.futures]
version = "0.3"

[dependencies.postcard]
version = "1.0"

[dependencies.prost]
version = "0.12"

[dependencies.reqwest]
version = "0.12"
features = ["json"]
default-features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.tendermint-rpc]
version = "0.36"
features = ["http-client"]

[dependencies.tokio]
version = "1.27"
default-features = false

[dependencies.tracing]
version = "0.1"

[features]
test-helpers = []
